import { Component, OnInit } from '@angular/core';
import { UserInfo } from '@ucap-webmessenger/protocol-sync';
import { EmployeeType } from '@ucap-webmessenger/protocol-room';
import { RoleCode } from '@ucap-webmessenger/protocol-authentication';
import {
  StatusBulkInfo,
  TerminalStatusInfo,
  TerminalStatusNumber
} from '@ucap-webmessenger/protocol-status';
import { StatusCode } from '@ucap-webmessenger/core';
import { Router } from '@angular/router';
import { Company } from '@ucap-webmessenger/api-external';

@Component({
  selector: 'app-template.page',
  templateUrl: './template.page.component.html',
  styleUrls: ['./template.page.component.scss']
})
export class TemplatePageComponent implements OnInit {
  profileImageRoot: string = 'http://27.122.224.170:8011/ProfileImage';

  userInfo: UserInfo = buddyData;

  presence: StatusBulkInfo = status;

  companyList: Company[] = companyList;

  companyCode: string = 'GUC006';

  constructor(private router: Router) {}

  ngOnInit() {}

  onClickLogin() {
    this.router.navigate(['/account/login']);
  }
}

export const status: StatusBulkInfo = {
  // 사용자SEQ
  userSeq: 15,
  // 상태코드(PC)
  pcStatus: StatusCode.Away,
  // 상태코드(통화)
  phoneStatus: StatusCode.Offline,
  // 상태코드(모바일)
  mobileStatus: StatusCode.OnLine,
  // 상태코드(PC화상)
  conferenceStatus: StatusCode.Offline,
  // 상태메시지
  statusMessage: '다른용무중',
  // 상태코드(Mobile화상)
  mobileConferenceStatus: StatusCode.Offline,
  // 상태코드(iMessenger)
  imessengerStatus: StatusCode.Offline,
  // 단말상태정보(s)
  terminalStatus: TerminalStatusInfo.Idle,
  // 단말상태번호(n)
  terminalStatusNumber: TerminalStatusNumber.Idle
};
export const buddyData: UserInfo = {
  seq: 15,
  name: '채희중',
  profileImageFile: '/2017/08/09/PF_15_174154508.jpeg',
  grade: '책임',
  intro: '프로필정보 변경됨.',
  companyCode: 'GUC006',
  hpNumber: '01089339833',
  lineNumber: '01089339833',
  email: 'hjchae72@lgcns.com',
  isMobile: false,
  deptName: 'UCAP TEAM',
  isFavorit: false,
  isBuddy: true,
  isActive: true,
  roleCd: RoleCode.CompanyExcludeSync,
  employeeNum: ' ',
  madn: '0033',
  hardSadn: ' ',
  fmcSadn: '0033',
  nameEn: 'HUI JOONG CHAE',
  nameCn: ' ',
  gradeEn: 'Business Engineering',
  gradeCn: ' ',
  deptNameEn: ' ',
  deptNameCn: ' ',
  isPrivacyAgree: true,
  isValidLogin: true,
  employeeType: EmployeeType.Regular,
  nickName: '채책임(닉)'
};

const companyList: Company[] = [
  {
    companyCode: 'GUC002',
    companyName: 'LG Electronics.',
    companyDomain: 'lge.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC040',
    companyName: 'LGE한국영업협력사',
    companyDomain: 'lgepartner.com',
    companyConfAuthYn: 'Y',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC021',
    companyName: 'LG이노텍',
    companyDomain: 'lginnotek.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC036',
    companyName: '하이프라자',
    companyDomain: 'hiplaza.co.kr',
    companyConfAuthYn: 'Y',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC006',
    companyName: 'LG CNS',
    companyDomain: 'lgcns.com',
    companyConfAuthYn: 'Y',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC041',
    companyName: 'LGEIL',
    companyDomain: 'lgeil.com',
    companyConfAuthYn: 'Y',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC100',
    companyName: 'LG UCAP',
    companyDomain: 'lgucap.com',
    companyConfAuthYn: 'Y',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUCIM',
    companyName: '아메사용회사',
    companyDomain: 'test.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'N',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC005',
    companyName: 'LG화학',
    companyDomain: 'lgchem.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GSGAL',
    companyName: 'GS칼텍스',
    companyDomain: 'gscaltex.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC001',
    companyName: 'LG U+',
    companyDomain: 'lguplus.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC007',
    companyName: 'LG Display',
    companyDomain: 'lgdisplay.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'N'
  },
  {
    companyCode: 'GUC011',
    companyName: 'LG인화원',
    companyDomain: 'lgacademy.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC013',
    companyName: 'LG MMA',
    companyDomain: 'lgmma.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC015',
    companyName: '(주)LG',
    companyDomain: 'lg.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC016',
    companyName: 'LGERI',
    companyDomain: 'lgeri.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC024',
    companyName: 'LG Hausys',
    companyDomain: 'lghausys.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC028',
    companyName: 'LG상사',
    companyDomain: 'lgi.co.kr',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC032',
    companyName: '코리아일레콤',
    companyDomain: 'koreaelecom.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC035',
    companyName: 'HLDS',
    companyDomain: 'hlds.co.kr',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC038',
    companyName: 'BizTech Partners',
    companyDomain: 'GUC018',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  },
  {
    companyCode: 'GUC042',
    companyName: 'Japan R&D Lab',
    companyDomain: 'lgjlab.com',
    companyConfAuthYn: 'N',
    ucapUseYn: 'Y',
    companyTimerChatAuthYn: 'Y'
  }
];
