import { createAction, props } from '@ngrx/store';
import {
  InfoRequest,
  RoomInfo,
  UserInfoShort,
  UserInfo
} from '@ucap-webmessenger/protocol-room';

export const info = createAction(
  '[Messenger::Room] Info',
  props<InfoRequest>()
);

export const infoSuccess = createAction(
  '[Messenger::Room] Info Success',
  props<{
    roomInfo: RoomInfo;
    userInfoShortList: UserInfoShort[];
    userInfoList: UserInfo[];
  }>()
);

export const infoFailure = createAction(
  '[Messenger::Room] Info Failure',
  props<{ error: any }>()
);
