import {
  Component,
  OnInit,
  Input,
  Output,
  EventEmitter,
  ViewChild
} from '@angular/core';

import { ucapAnimations } from '@ucap-webmessenger/ui';

import { GroupDetailData, UserInfo } from '@ucap-webmessenger/protocol-sync';
import { MatAccordion } from '@angular/material';

@Component({
  selector: 'ucap-group-expansion-panel',
  templateUrl: './expansion-panel.component.html',
  styleUrls: ['./expansion-panel.component.scss'],
  animations: ucapAnimations
})
export class ExpansionPanelComponent implements OnInit {
  @Input()
  groupBuddyList: { group: GroupDetailData; buddyList: UserInfo[] }[];

  @Output()
  selectBuddy = new EventEmitter<UserInfo>();

  @ViewChild('groupAccordion', { static: true }) groupAccordion: MatAccordion;

  constructor() {}

  ngOnInit() {}

  onClickBuddy(buddy: UserInfo) {
    this.selectBuddy.emit(buddy);
  }

  expandMore() {
    this.groupAccordion.openAll();
  }

  expandLess() {
    this.groupAccordion.closeAll();
  }
}
