import { Component, OnInit, Input } from '@angular/core';
import { UserInfo } from '@ucap-webmessenger/protocol-sync';
import {
  UserInfoSS,
  UserInfoF,
  UserInfoDN
} from '@ucap-webmessenger/protocol-query';
import { StatusBulkInfo, StatusInfo } from '@ucap-webmessenger/protocol-status';

@Component({
  selector: 'ucap-profile-user-list-item',
  templateUrl: './user-list-item.component.html',
  styleUrls: ['./user-list-item.component.scss']
})
export class UserListItemComponent implements OnInit {
  @Input()
  userInfo: UserInfo | UserInfoSS | UserInfoF | UserInfoDN;

  @Input()
  profileImageRoot: string;

  @Input()
  presence?: StatusBulkInfo | StatusInfo;

  @Input()
  checkable = false;
  @Input()
  compactable = false;

  constructor() {}

  ngOnInit() {}
}
